> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onswitch.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# AML lookup

> Screen an individual, business or crypto wallet against global compliance data.



## OpenAPI

````yaml /openapi.json post /compliance/aml/lookup
openapi: 3.0.3
info:
  title: Receive stablecoin. Get fiat in seconds.
  description: Stablecoin collection and settlement layer.
  version: 1.0.0
  contact:
    name: Switch Labs
    email: contact@onswitch.xyz
  license:
    name: Proprietary
  x-tagGroups:
    - name: Institution
      tags:
        - Institution
    - name: Miscellaneous
      tags:
        - Miscellaneous
    - name: History
      tags:
        - History
    - name: Payment
      tags:
        - Payment
    - name: Webhook
      tags:
        - Webhook
    - name: Offramp
      tags:
        - Offramp
    - name: Onramp
      tags:
        - Onramp
    - name: Swap
      tags:
        - Swap
    - name: Developer
      tags:
        - Developer
    - name: Wallet
      tags:
        - Wallet
    - name: Compliance
      tags:
        - Compliance
servers:
  - url: https://api.onswitch.xyz
    description: Production server
security: []
tags:
  - name: Institution
    description: Institution discovery and bank or payment-rail lookup
  - name: Miscellaneous
    description: Requirements, coverage, assets, confirmation, and transaction status
  - name: History
    description: Payment history and summaries for the partner's account
  - name: Payment
    description: Saved payment beneficiaries, payment confirmation, and status
  - name: Webhook
    description: Webhook delivery history and callback resend
  - name: Offramp
    description: Offramp transaction endpoints for converting stablecoins to local currency
  - name: Onramp
    description: Onramp transaction endpoints for converting local currency to stablecoins
  - name: Swap
    description: Swap endpoints for exchanging between different stablecoin assets
  - name: Developer
    description: Developer fee balance and withdrawal
  - name: Wallet
    description: >-
      Wallet endpoints for creating and managing chain abstracted stablecoin
      wallets
  - name: Compliance
    description: AML compliance screening for PEP, sanctions, and other regulatory reasons
paths:
  /compliance/aml/lookup:
    post:
      tags:
        - Compliance
      summary: AML lookup
      description: >-
        Screen an individual, business or crypto wallet against global
        compliance data.
      operationId: complianceLookupAML
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComplianceAmlLookupRequest'
      responses:
        '200':
          description: AML lookup completed
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                  - timestamp
                  - data
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  timestamp:
                    type: string
                    format: date-time
                  data:
                    $ref: '#/components/schemas/ComplianceAmlLookupResponse'
              example:
                success: true
                message: AML lookup successful
                timestamp: '2026-05-13T21:44:33.474Z'
                data:
                  status: REJECTED
                  reference: 18a51cca-ed07-4a74-b1b7-03cceab33e23
                  details:
                    subject:
                      type: INDIVIDUAL
                      country: NG
                      name: tinubu bola
                      is_sandbox: false
                    matches:
                      - certainty: 92
                        name: Bola Ahmed Tinubu
                        flags:
                          - PEP
                        last_updated: '2024-10-11T12:50:30'
                      - certainty: 83
                        name: Bola Ahmed Tinubu Gcfr
                        flags:
                          - PEP
                        last_updated: '2026-04-26T13:01:02'
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - ServiceKey: []
components:
  schemas:
    ComplianceAmlLookupRequest:
      oneOf:
        - $ref: '#/components/schemas/ComplianceAmlLookupIndividual'
        - $ref: '#/components/schemas/ComplianceAmlLookupBusiness'
        - $ref: '#/components/schemas/ComplianceAmlLookupCryptoWallet'
      discriminator:
        propertyName: type
        mapping:
          INDIVIDUAL:
            $ref: '#/components/schemas/ComplianceAmlLookupIndividual'
          BUSINESS:
            $ref: '#/components/schemas/ComplianceAmlLookupBusiness'
          CRYPTO_WALLET:
            $ref: '#/components/schemas/ComplianceAmlLookupCryptoWallet'
    ComplianceAmlLookupResponse:
      type: object
      additionalProperties: true
      properties:
        reference:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/ComplianceStatus'
        details:
          $ref: '#/components/schemas/ComplianceLookupDetails'
    ComplianceAmlLookupIndividual:
      type: object
      title: Individual
      required:
        - type
      additionalProperties: true
      properties:
        reference:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - INDIVIDUAL
        name:
          type: string
          description: Legal name of the individual to screen.
        country:
          $ref: '#/components/schemas/CountryCode'
        date_of_birth:
          type: string
          format: date
          description: Date of birth in `YYYY-MM-DD`.
      example:
        type: INDIVIDUAL
        name: Jane Doe
        country: NG
        date_of_birth: '1990-01-15'
    ComplianceAmlLookupBusiness:
      type: object
      title: Business
      required:
        - type
      additionalProperties: true
      properties:
        reference:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - BUSINESS
        name:
          type: string
          description: Registered legal name of the business.
        country:
          $ref: '#/components/schemas/CountryCode'
        date_of_incorporation:
          type: string
          format: date
          description: Date of incorporation in `YYYY-MM-DD`.
        registration_number:
          type: string
      example:
        type: BUSINESS
        name: Standard Earner Ltd
        country: GB
        date_of_incorporation: '2015-03-01'
        registration_number: '12345678'
    ComplianceAmlLookupCryptoWallet:
      type: object
      title: Crypto wallet
      required:
        - type
      additionalProperties: true
      properties:
        reference:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - CRYPTO_WALLET
        wallet_address:
          type: string
          description: Blockchain wallet address to screen.
      example:
        type: CRYPTO_WALLET
        wallet_address: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
    ComplianceStatus:
      type: string
      enum:
        - PENDING
        - REJECTED
        - APPROVED
        - REVIEW
    ComplianceLookupDetails:
      type: object
      additionalProperties: true
      properties:
        subject:
          $ref: '#/components/schemas/ComplianceAmlSubjectEcho'
        matches:
          type: array
          items:
            $ref: '#/components/schemas/ComplianceSanctionsMatchItem'
    CountryCode:
      type: string
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - EU
        - AN
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BM
        - BN
        - BO
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - GZ
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - YE
        - YT
        - ZA
        - ZM
        - ZW
    ComplianceAmlSubjectEcho:
      type: object
      additionalProperties: true
      properties:
        type:
          $ref: '#/components/schemas/ComplianceAMLCategory'
        name:
          type: string
        country:
          type: string
        wallet_address:
          type: string
        is_sandbox:
          type: boolean
        date_of_birth:
          type: string
        date_of_incorporation:
          type: string
        registration_number:
          type: string
    ComplianceSanctionsMatchItem:
      type: object
      additionalProperties: true
      properties:
        certainty:
          type: integer
          minimum: 0
          maximum: 100
        name:
          type: string
          nullable: true
        flags:
          type: array
          items:
            type: string
        last_updated:
          type: string
          nullable: true
    ComplianceAMLCategory:
      type: string
      enum:
        - INDIVIDUAL
        - BUSINESS
        - CRYPTO_WALLET
  responses:
    BadRequest:
      description: Bad request - Invalid input parameters or validation error
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - message
              - timestamp
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                description: Error message describing what went wrong
              timestamp:
                type: string
                format: date-time
              data:
                description: Additional error details
                nullable: true
          example:
            success: false
            message: amount must be greater than 0 for the selected corridor
            timestamp: '2026-04-18T14:22:08.631Z'
            data: null
  securitySchemes:
    ServiceKey:
      type: apiKey
      in: header
      name: x-service-key
      description: Service key for API authentication

````